Unit tde22r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE22R_p, DE22R_p;

function tde22r: String;

implementation

function tde22r: String;
var
M,IORDER,IU,_i,IERR :Integer;
XN,XK,H,HMIN,EPS :Real;
RAB :Array [0..115] of Real;
Y :Array [0..3] of Real;
DELTY :Array [0..3] of Real;
YPM :Array [0..3] of Real;
begin
Result := '';  {   }
M := 4;
Y[0] := 0.0;
Y[1] := 0.0;
Y[2] := 0.0;
Y[3] := 0.0;
XN := 0.0;
XK := 8.0;
H := 0.01;
HMIN := 1E-6;
EPS := 1.E-5;

IORDER := 4;
IU := 2;
DE22R(FDE22R,M,XN,Y,XK,HMIN,EPS,IORDER,IU,
     H,Y,YPM,DELTY,RAB,IERR);
Result := Result + Format(' %20.16f',[XN]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde22r',Result);  {     tde22r.res }
exit;
end;

end.
